package com.td.boss.game.comcntorder.service;

import com.td.boss.common.service.*;
import com.td.boss.game.comcntorder.pojo.ComCntOrder;
import com.td.boss.game.comcntorder.vo.ComCntOrderPayTypeSumVo;
import com.td.boss.game.comcntorder.vo.ComCntOrderVo;

import java.util.Date;
import java.util.List;
import java.util.Optional;

public interface ComCntOrderService extends CommonService<ComCntOrderVo, ComCntOrder, String> {

    ComCntOrderVo findByTx(String tx);

    List<ComCntOrder>  findByUserIdAndPayType(String userId,Integer payType);

    //返回一个全部总量
    List<ComCntOrderPayTypeSumVo> findAllCNTSumGroupByPayType();

    //返回一个日期查找的总量
    List<ComCntOrderPayTypeSumVo> findAllCNTSumGroupByPayTypeFromDate(Date startTime, Date endTime);



}
